# Uses of Class
net.shibboleth.shared.resolver.CriteriaSet

Packages that use CriteriaSet
Package
Description
net.shibboleth.shared.resolver
Interfaces for searching over data.
net.shibboleth.shared.testing
Classes supporting testing of other classes.

## Uses of CriteriaSet in net.shibboleth.shared.resolver

Methods in net.shibboleth.shared.resolver with parameters of type CriteriaSet
Modifier and Type
Method
Description
`static <T, E extends Predicate<T>>
Set<Predicate<T>>`
ResolverSupport.`getPredicates(CriteriaSet criteriaSet, Class<E> predicateCriterionType, CriterionPredicateRegistry<T> registry)`
Obtain a set of `Predicate` based on a `CriteriaSet`.

## Uses of CriteriaSet in net.shibboleth.shared.testing

Methods in net.shibboleth.shared.testing with parameters of type CriteriaSet
Modifier and Type
Method
Description
`Iterable<T>`
MockResolver.`resolve(CriteriaSet criteria)`
Process the specified criteria and return the resulting instances of the product type which satisfy the criteria.
`T`
MockResolver.`resolveSingle(CriteriaSet criteria)`
Process the specified criteria and return a single instance of the product type which satisfies the criteria.